package aliyun.demo.bus;

/**
 * վѯӿ
 */
import java.util.HashMap;
import java.util.Map;

import org.apache.http.HttpResponse;
import org.apache.http.util.EntityUtils;

import aliyun.util.HttpUtils;
import net.sf.json.JSONArray;
import net.sf.json.JSONObject;

public class StationDemo {
	public final static String host = "http://jisubus.market.alicloudapi.com";
	public static final String city = "";

	public static void main(String[] args) throws Exception {
		String path = "/bus/station";
		Map<String, String> headers = new HashMap<String, String>();
		headers.put("Authorization", "APPCODE ԼAppCode");

		// query
		Map<String, String> querys = new HashMap<String, String>();
		querys.put("city", city);
		try {
			HttpResponse response = HttpUtils.doGet(host, path, "GET", headers, querys);
			// response Head
			// System.out.println(response.toString());
			String result = EntityUtils.toString(response.getEntity());
			JSONObject json = JSONObject.fromObject(result);
			if (json.getInt("status") != 0) {
				System.out.println(json.getString("msg"));
			} else {
				JSONArray resultarr = json.optJSONArray("result");
				for (int i = 0; i < resultarr.size(); i++) {
					JSONObject obj = (JSONObject) resultarr.opt(i);
					String name = obj.getString("name");
					String address = obj.getString("address");
					String tel = obj.getString("tel");
					System.out.println(name + " " + address + " " + tel);
				}
			}
		} catch (Exception e) {
			e.printStackTrace();
		}
	}
}
