package aliyun.demo.bus;

/**
 * վվѯӿ
 */
import java.util.HashMap;
import java.util.Map;

import org.apache.http.HttpResponse;
import org.apache.http.util.EntityUtils;

import aliyun.util.HttpUtils;
import net.sf.json.JSONArray;
import net.sf.json.JSONObject;

public class City2cDemo {
	public final static String host = "http://jisubus.market.alicloudapi.com";
	public static final String start = "";
	public static final String end = "Ϻ";

	public static void main(String[] args) throws Exception {
		String path = "/bus/city2c";
		Map<String, String> headers = new HashMap<String, String>();
		headers.put("Authorization", "APPCODE ԼAppCode");

		// query
		Map<String, String> querys = new HashMap<String, String>();
		querys.put("end", end);
		querys.put("start", start);
		try {
			HttpResponse response = HttpUtils.doGet(host, path, "GET", headers, querys);
			// response Head
			// System.out.println(response.toString());
			String result = EntityUtils.toString(response.getEntity());
			JSONObject json = JSONObject.fromObject(result);
			if (json.getInt("status") != 0) {
				System.out.println(json.getString("msg"));
			} else {
				JSONArray resultarr = json.optJSONArray("result");
				for (int i = 0; i < resultarr.size(); i++) {
					JSONObject obj = (JSONObject) resultarr.opt(i);
					String startcity = obj.getString("startcity");
					String endcity = obj.getString("endcity");
					String startstation = obj.getString("startstation");
					String endstation = obj.getString("endstation");
					String starttime = obj.getString("starttime");
					String price = obj.getString("price");
					String bustype = obj.getString("bustype");
					String distance = obj.getString("distance");
					System.out.println(startcity + " " + endcity + " " + startstation + " " + endstation + " "
							+ starttime + " " + price + " " + bustype + " " + distance);
				}
			}
		} catch (Exception e) {
			e.printStackTrace();
		}
	}
}
